---
search:
  tags:
    - Customers
    - PUT
seo:
  description: >-
    Completes the customer account activation flow by setting the initial…
    Reference for the PUT /customers/activations/{token} endpoint in the Bolder
    API v2.
sidebar:
  label: Activate a customer account
  badge: PUT
title: Activate a customer account
type: openapi-operation
---
Completes the customer account activation flow by setting the initial
password. The `token` is sent to the customer's email after the
merchant triggers `customers:start_activation`.

`PUT /customers/activations/{token}`

**Request body** (`application/json`, required)

- `password` (string, required) — The new password for the account (min 8 chars).

Request body example:

```json
{
  "password": "newSecureP@ss1"
}
```

**Responses**

- `200` — Account activated
- `422` — Invalid or expired token

Response example, 200:

```json
{
  "id": 3001,
  "email": "jane@example.com",
  "status": "private",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/customers/3001"
    }
  }
}
```
